Page MenuHomePhabricator

Support: Pass wrapped Error's error code through FileError
ClosedPublic

Authored by dexonsmith on Nov 4 2021, 4:14 PM.

Details

Summary

Change FileError to pass through the error code from the Error it wraps.
This allows APIs that return ECError to transition to FileError without
changing returned std::error_code.

This was extracted from https://reviews.llvm.org/D109345.

Diff Detail

Event Timeline

dexonsmith created this revision.Nov 4 2021, 4:14 PM
dexonsmith requested review of this revision.Nov 4 2021, 4:14 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 4 2021, 4:14 PM
dblaikie accepted this revision.Nov 5 2021, 11:59 AM

looks good, thanks!

This revision is now accepted and ready to land.Nov 5 2021, 11:59 AM
This revision was landed with ongoing or failed builds.Nov 12 2021, 9:20 PM
This revision was automatically updated to reflect the committed changes.